## keepsecret 0.0.0+p24.04+vunstable+git20251202.2141

=== debian/changelog ===
keepsecret (0.0.0+p24.04+vunstable+git20251202.2141-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 21:41:18 +0000

keepsecret (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Sun, 13 Jul 2025 16:44:11 +1000
