=== debian/control ===
Source: keepsecret
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-kitemmodels-dev,
               libsecret-1-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/utils/keepsecret
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/keepsecret.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/keepsecret
Maintainer: Neon CI <neon@kde.org>

Package: keepsecret
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE plasma's secrets/password manager
 KeepSecret is a Password manager GUI intended to be a client for a Secret
 Service compatible provider.
 .
 This package contains the keepsecret main library.

Package: keepsecret-dev
Section: libdevel
Architecture: any
Depends: keepsecret (= ${binary:Version}),
         kf6-extra-cmake-modules,
         qt6-base-dev,
         ${misc:Depends}
Description: KDE plasma's secrets/password manager
 KeepSecret is a Password manager GUI intended to be a client for a Secret
 Service compatible provider.
 .
 This package contains the keepsecret development files.
