## keepsecret 1.0.0

=== debian/changelog ===
keepsecret (1.0.0-0zneon+24.04+noble+release+build8) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 08:52:59 +0000

keepsecret (1.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 00:30:11 +0000
