=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Package: keepsecret-dev
 Section: libdevel
 Architecture: any
-Depends: keepsecret (= ${binary:Version}),
+Depends: keepsecret (= ${source:Version}),
          kf6-extra-cmake-modules,
          qt6-base-dev,
          ${misc:Depends}
