## keepsecret 1.0.0+p24.04+vstable+git20260120.0921

=== debian/changelog ===
keepsecret (1.0.0+p24.04+vstable+git20260120.0921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 09:21:56 +0000
