## keepsecret 1.0.0+p24.04+vunstable+git20260126.0819

=== debian/changelog ===
keepsecret (1.0.0+p24.04+vunstable+git20260126.0819-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 08:19:16 +0000
