## keepsecret 1.0.0+p24.04+vunstable+git20260201.0649

=== debian/changelog ===
keepsecret (1.0.0+p24.04+vunstable+git20260201.0649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:49:28 +0000
